namespace DocuMed.Domain.Entities.MedicalHistoryTemplate;

public partial class MedicalHistoryQuestion
{
    public static MedicalHistoryQuestion Create(
        string question,
        MedicalHistoryPart part,
        MedicalHistoryQuestionType questionType,
        Guid medicalHistoryTemplateId,
        BodySystem bodySystem,
        bool isSign,
        bool isSymptom)
    {
        return new MedicalHistoryQuestion(question, part, questionType, medicalHistoryTemplateId, bodySystem, isSign, isSymptom);
    }

}
public partial class MedicalHistoryTemplate
{
    public MedicalHistoryQuestion AddQuestion(
        string question,
        MedicalHistoryPart part,
        MedicalHistoryQuestionType questionType,
        BodySystem bodySystem,
        bool isSign,
        bool isSymptom)
    {
        var mhQuestion = MedicalHistoryQuestion.Create(question, part, questionType, Id,bodySystem,isSign,isSymptom);
        Questions.Add(mhQuestion);
        return mhQuestion;
    }

    public static MedicalHistoryTemplate Create(string chiefComplaint, Guid sectionId, Guid applicationUserId)
    {
        return new MedicalHistoryTemplate(chiefComplaint, sectionId, applicationUserId);
    }
}